---
type: api
title: Get value list items
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/kibana-serverless/operation/operation-findlistitems
resource: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/kibana-serverless/operation/operation-findlistitems
products:
  - Kibana
---

# Get value list items

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/lists/items/_find`
- `GET` `/s/{space_id}/api/lists/items/_find`

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get all value list items in the specified list.

## Authentication

- Api key: `Authorization: <value>`
  You must create an API key and use the encoded value in the request header. To learn about creating keys, go to [API keys](https://www.elastic.co/docs/current/serverless/api-keys).

## Query string parameters

- `list_id` (string · format: nonempty · min length: 1) — required
  Parent value list's `id` to page through items for.
  Example: `21b01cfb-058d-44b9-838c-282be16c91cd`
- `page` (integer) — optional
  The page number to return.
- `per_page` (integer) — optional
  The number of list items to return per page.
- `sort_field` (string · format: nonempty · min length: 1) — optional
  Determines which field is used to sort the results.
  Example: `value`
- `sort_order` (enum) — optional
  Determines the sort order, which can be `desc` or `asc`
  Values: `desc`, `asc`
- `cursor` (string · format: nonempty · min length: 1) — optional
  Opaque cursor returned in a previous response; pass it to continue listing from the next page. Omit on the first request.
  Example: `WzIwLFsiYjU3Yzc2MmMtMzAzNi00NjVjLTliZmItN2JmYjVlNmU1MTVhIl1d`
- `filter` (string) — optional
  Filters the returned results according to the value of the specified field,
using the <field name>:<field value> syntax.
  Example: `value:127.0.0.1`

## Responses

#### `200`

Successful response

`application/json`

- `cursor` (string · format: nonempty · min length: 1)
  Returns the items that come after the last item returned in the previous call (use the `cursor` value returned in the previous call). This parameter uses the `tie_breaker_id` field to ensure all items are sorted and returned correctly.
- `data` (object[])
  - `_version` (string)
    The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
  - `@timestamp` (string · format: date-time)
  - `created_at` (string · format: date-time)
    Autogenerated date of object creation.
  - `created_by` (string)
    Autogenerated value - user that created object.
  - `id` (string · format: nonempty · min length: 1)
    Value list item's identifier.
  - `list_id` (string · format: nonempty · min length: 1)
    Value list's identifier.
  - `meta` (object)
    Placeholder for metadata about the value list item.
  - `tie_breaker_id` (string)
    Field used in search to ensure all containers are sorted and returned correctly.
  - `type` (enum)
    Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:

- `keyword`: Many ECS fields are Elasticsearch keywords
- `ip`: IP addresses
- `ip_range`: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
    Values: `binary`, `boolean`, `byte`, `date`, `date_nanos`, `date_range`, `double`, `double_range`, `float`, `float_range`, `geo_point`, `geo_shape`, `half_float`, `integer`, `integer_range`, `ip`, `ip_range`, `keyword`, `long`, `long_range`, `shape`, `short`, `text`
  - `updated_at` (string · format: date-time)
    Autogenerated date of last object update.
  - `updated_by` (string)
    Autogenerated value - user that last updated object.
  - `value` (string · format: nonempty · min length: 1)
    The value used to evaluate exceptions.
- `page` (integer · min: 0)
- `per_page` (integer · min: 0)
- `total` (integer · min: 0)
#### `400`

Invalid input data response

`application/json`

One of:
- **{ error, statusCode }**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **{ status_code }**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code examples

#### Console

```console
GET kbn:/api/lists/items/_find?list_id=21b01cfb-058d-44b9-838c-282be16c91cd
```

#### curl

```curl
curl -X GET "${KIBANA_URL}/api/lists/items/_find?list_id=21b01cfb-058d-44b9-838c-282be16c91cd" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### Ip

```json
{
  "cursor": "WzIwLFsiYjU3Yzc2MmMtMzAzNi00NjVjLTliZmItN2JmYjVlNmU1MTVhIl1d",
  "data": [
    {
      "_version": "WzAsMV0=",
      "@timestamp": "2025-01-08T04:59:06.154Z",
      "created_at": "2025-01-08T04:59:06.154Z",
      "created_by": "elastic",
      "id": "21b01cfb-058d-44b9-838c-282be16c91cc",
      "list_id": "ip_list",
      "tie_breaker_id": "b57c762c-3036-465c-9bfb-7bfb5e6e515a",
      "type": "ip",
      "updated_at": "2025-01-08T04:59:06.154Z",
      "updated_by": "elastic",
      "value": "127.0.0.1"
    }
  ],
  "page": 1,
  "per_page": 20,
  "total": 1
}
```

#### Bad

```json
{
  "error": "Bad Request,",
  "message": "[request query]: list_id: Required",
  "statusCode": "400,"
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [GET /api/lists/items/_find?list_id=ip_list\u0026page=1\u0026per_page=20] is unauthorized for user, this action is granted by the Kibana privileges [lists-read]",
  "statusCode": 403
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

